levelshots/cubrix_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/cubrix_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

levelshots/cubrix_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/cubrix_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
	}
}

/// Sky


textures/9build/novsky
{
	qer_editorImage textures/novsky/novsky_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_LightMapFilterRadius 0 8
	q3map_sunExt 1 1 1 80 340 49 11 16
	q3map_skylight 50 4
	nopicmip
	skyparms textures/novsky/novsky - -
}


/// cubrix Infos


textures/9build/mapper
{
     qer_editorimage textures/9build/mapper.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/mapper.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9build/maptester
{
     qer_editorimage textures/9build/maptester.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/maptester.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9build/oldy
{
     qer_editorimage textures/9build/oldy.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/oldy.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9build/birdinfo
{
     qer_editorimage textures/9build/birdinfo.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/birdinfo.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9build/greetz
{
     qer_editorimage textures/9build/greetz.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/greetz.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9build/thxapple
{
     qer_editorimage textures/9build/thxapple.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/thxapple.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9build/ukn
{
     qer_editorimage textures/9build/ukn.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9build/ukn.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


/// Ice + Cel Shader


textures/9build/ice_slick
{
    qer_editorImage textures/9build/ice.tga
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/9build/ice.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}


/// Water


textures/9build/wobble_blue2
{
	qer_editorimage textures/9build/wobble_blue2
	qer_trans .8
	q3map_surfacelight 300
	q3map_globaltexture
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/9build/wobble_blue2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/9build/wobble_blue.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/9build/wobble_underground.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/9build/blue
{
	qer_editorimage textures/9build/blue.tga
	q3map_surfacelight 50
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -2.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	sort 16
	
	{
		map textures/9build/blue.tga
		blendfunc filter
		rgbGen identity
		tcGen environment
		tcMod scroll 0.01 -0.01
	}
}


/// Glas Shaders

textures/9build/glass_orange
{ 
	qer_editorimage textures/9build/glass_orange.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9build/glass_orange.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9build/glass_orange_fading
{ 
	qer_editorimage textures/9build/glass_orange.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9build/glass_orange.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}



